import * as lsp from 'vscode-languageserver';
export declare class JavascriptService {
    private initializeParams;
    private initializeResult;
    private tspClient;
    private openedDocumentUris;
    private diagnosticQueue;
    readonly documents: any;
    onInitialize: (params: any) => {
        capabilities: {
            completionProvider: boolean;
            definitionProvider: boolean;
            documentFormattingProvider: boolean;
            documentHighlightProvider: boolean;
            documentSymbolProvider: boolean;
            hoverProvider: boolean;
            renameProvider: boolean;
            referencesProvider: boolean;
            workspaceSymbolProvider: boolean;
            documentLinkProvider: boolean;
        };
    };
    onDidOpenTextDocument: (params: any) => Promise<void>;
    onDidChangeTextDocument: (params: any) => void;
    onDidCloseTextDocument: (params: any) => Promise<void>;
    onRename(params: any): Promise<{
        changes: {};
    } | {
        rejectReason: any;
        edits: any;
    }>;
    onReferences(params: any): Promise<any>;
    onHover(params: any): Promise<lsp.Hover>;
    onDocumentSymbol(params: any): Promise<any[]>;
    onDocumentHighlight(arg: any): Promise<any[]>;
    onDocumentFormatting(params: any): Promise<any>;
    onDefinition(params: any): Promise<any>;
    onCompletionResolve(item: any): Promise<any>;
    onCompletion(params: any): Promise<any[] | {
        isIncomplete: boolean;
        items: any;
    }>;
    private getOpenDocument(uri);
}
